Delete Custom Field
Intent
Removes the custom field.
When to call it
Call this only after your application has identified the custom field that should be removed.
Access boundary
Authorize the request with a token that carries custom_fields:write.
Successful result
A successful request returns 204 without a response document.
Operational notes
Delete a custom field.
Scopes: custom_fields:write
DELETE
/
v1
/
custom-fields
/
{id}
Delete Custom Field
curl --request DELETE \
--url https://api.getruba.com/v1/custom-fields/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getruba.com/v1/custom-fields/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getruba.com/v1/custom-fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "ResourceNotFound",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}⌘I
Delete Custom Field
